<template>
  <q-page padding>
    <div class="row">
      <div class="col">
        <q-spinner
          color="primary"
          size="3em"
          v-show="done === false"
        />
        <span class="q-ml-md">
          {{ message }}
        </span>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { api } from 'src/boot/axios';
import { defineComponent, ref } from 'vue';
import { useRouter } from 'vue-router';

export default defineComponent({
  name: 'GoogleLogoutPage',
  setup() {
    const router = useRouter();
    const done = ref(false);
    const message = ref('Processing logout...');
    api.logout();
    setTimeout(() => {
      done.value = true;
      message.value = 'Logout Successful';
      setTimeout(() => {
        router.push({ name: 'home' });
      }, 1000);
    }, 2000);
    return {
      done,
      message,
    };
  },
});
</script>
